<?php
/**
 * @file
 * Default theme implementation for comments.
 *
 * Available variables:
 * - $author: Comment author. Can be link or plain text.
 * - $content: Body of the post.
 * - $date: Date and time of posting.
 * - $links: Various operational links.
 * - $new: New comment marker.
 * - $picture: Authors picture.
 * - $signature: Authors signature.
 * - $status: Comment status. Possible values are:
 *   comment-unpublished, comment-published or comment-preview.
 * - $submitted: By line with date and time.
 * - $title: Linked title.
 *
 * These two variables are provided for context.
 * - $comment: Full comment object.
 * - $node: Node object the comments are attached to.
 *
 * @see template_preprocess_comment()
 * @see theme_comment()
 */
?>
<div class="comment<?php print $comment->new ? ' comment-new' : ''; print ' '. $status ?> clear-block">
  <?php print $picture ?>

  <?php if ($comment->new): ?>
    <span class="new"><?php print $new ?></span>
  <?php endif; ?>

  <h3><?php print $title ?></h3>

  <div class="submitted">
    <?php print $submitted ?>
  </div>

  <div class="content">
    <?php print $content ?>



    <!--Here is where you see the comment_fields_* vars printing into the template-->
    <?php if (!empty($comment_fields_birthmonth)) :?>
      <p>My birthday is in <?php print $comment_fields_birthmonth ?>.</p>
    <?php endif; ?>

    <?php if (!empty($comment_fields_feeling)) :?>
      <p>When commenting I was feeling <?php print $comment_fields_feeling ?>.</p>
    <?php endif; ?>

    <?php if (!empty($comment_fields_word)) :?>
      <p>This is a cool word: <?php print $comment_fields_word ?>.</p>
    <?php endif; ?>



    <?php if ($signature): ?>
    <div class="user-signature clear-block">
      <?php print $signature ?>
    </div>
    <?php endif; ?>
  </div>

  <?php print $links ?>
</div>
